
     SUBROUTINE INTERP(ICOUNT,NAME,X,XO,RADI,INCL,ILAB,ITYPE,IC,XP,YP,
    *           ZP,RP,MOL,IDONE,IFIX,INEXT,NSZ1,NSZ2,NSZ3,IBEG)
****
**** Declarations
****
     COMMON /AAA   / NAT,NATOS,NATO,NC,NC1,IERR,IPLOT
     COMMON /BBB   / IBS(30,3),R(3,3),NMOL,NSPEC,NATOT,ICELL,ISTER,
    *                IPERS,ISOL,TAPER,ITRACE,ICOPY,IPLOTR,CHSIZE,SIZEM,
    *                SCA,DPLOT,S,ITRACH,ITRACV,TRLAB,ISHADE,ANG1,ANG2,
    *                SHADEN,PLSTEP,TRSTEP,IEND,SHRINK,YLIM,TSIZE,NMOL1
     COMMON /BBBC  / ID(74)
     COMMON /CELL  / ACELL,BCELL,CCELL,ALF,BET,GAM,OR1,OR2,OR3,OR4,
    *                OR5,OR6,D100,D010,D001
     COMMON /EEE   / IENC,ENC(6)
     COMMON /SYM   / RS(24,3,4),NSYM,ICENT
     COMMON /DEF   / RBDEF,LBDEF,RADEF,SZDEF,CHDEF,DPDEF,TDEF,RBDEFN,
    *                LBDEFN,ANGDF1,ANGDF2,SHADEF,TAPDEF,TLDEF,TRDEF,
    *                PLDEF
     COMMON /FRC   / COL(80),FL(6,40)
     COMMON /FRN   / FN(40),NCHAR,KN,KL
     COMMON /ALPHA / LET(27)
     COMMON /IO    / IN
****
     CHARACTER FL,COL,NAME,J1,J2,J3,ID,LET,N1,N2,QUOTE,COLBUF*3
****
     DIMENSION PLINE(3),V1(3),V2(3),V3(3),R1(3),R2(3),A(3,3),B(3,3),
    *          NAME(6,NSZ1),X(3,NSZ1),XO(3,NSZ1),RADI(NSZ1),INCL(NSZ1),
    *          ILAB(NSZ1),ITYPE(NSZ1),IC(NSZ2),XP(NSZ3),YP(NSZ3),
    *          ZP(NSZ3),RP(NSZ3),MOL(4,NSZ3),IDONE(NSZ1),IFIX(NSZ1),
    *          INEXT(NSZ1),JCELL(8),ICCELL(12)
****
     DATA QUOTE /Z7D/,IMAX/80/,ITEL/37/,
    *     JCELL /0,100,110,10,1,101,111,11/,
    *     ICCELL /1002,2003,3004,4001,1005,5006,6007,7008,8005,4008,
    *             7003,2006/
****
**** Initialise
****
     RAD=57.2958
     IERR=0
     IF(ICOUNT.GT.1)GO TO 4
****
**** Set cell corner coordinates.
****
     DO 2 I=1,8
        ILAB(I)=0
        INCL(I)=-1
        ITYPE(I)=0
        RADI(I)=0.
        X(1,I)=FLOAT(JCELL(I)/100)
        X(2,I)=FLOAT(MOD(JCELL(I)/10,10))
        X(3,I)=FLOAT(MOD(JCELL(I),10))
        DO 1 K=1,6
           NAME(K,I)=' '
   1    CONTINUE
   2 CONTINUE
     NAME(1,1)='O'
     NAME(1,2)='A'
     NAME(1,4)='B'
     NAME(1,5)='C'
     ILAB(1)=1
     ILAB(2)=1
     ILAB(4)=1
     ILAB(5)=1
****
**** Set up cell connectivity here.
****
     DO 3 K=1,12
        IC(K)=ICCELL(K)
   3 CONTINUE
****
**** All data cards read here
****
   4 READ(IN,5,END=248)COL
     IF(COL(1).EQ.' '.OR.COL(1).EQ.'-')GO TO 14
     WRITE(6,6)COL
**** WRITE(COLBUF,5)(COL(I),I=1,3)
**** READ(COLBUF,5)J1,J2,J3
     COLBUF=COL(1)//COL(2)//COL(3)
****
**** Interpret setting-up instructions
****
     IF(COLBUF.EQ.'NAN')GO TO 4
     IF(COLBUF.EQ.'BEG')GO TO 22
     IF(ICOUNT.EQ.1)GO TO 23
   7 IF(COLBUF.EQ.'CEL')GO TO 27
     IF(COLBUF.EQ.'SYM')GO TO 28
     IF(COLBUF.EQ.'ANG')GO TO 34
     IF(COLBUF.EQ.'FRA')GO TO 35
     IF(COLBUF.EQ.'ATO')GO TO 38
     IF(COLBUF.EQ.'FVA')GO TO 36
     IF(COLBUF.EQ.'JOI')GO TO 48
     IF(COLBUF.EQ.'TIT')GO TO 66
     IF(COLBUF.EQ.'END')GO TO 247
****
**** Interpretation of plotting instructions
****
     CALL FREDA(1,IMAX)
     IF(COLBUF.EQ.'VIE')GO TO 72
     IF(COLBUF.EQ.'ALI')GO TO 118
     IF(COLBUF.EQ.'SOL')GO TO 124
     IF(COLBUF.EQ.'STI')GO TO 126
     IF(COLBUF.EQ.'LAB')GO TO 131
     IF(COLBUF.EQ.'UNL')GO TO 146
     IF(COLBUF.EQ.'PUT')GO TO 147
     IF(COLBUF.EQ.'RAD')GO TO 152
     IF(COLBUF.EQ.'PAC')GO TO 173
     IF(COLBUF.EQ.'MOL')GO TO 175
     IF(COLBUF.EQ.'INC')GO TO 182
     IF(COLBUF.EQ.'OMI')GO TO 181
     IF(COLBUF.EQ.'UNI')GO TO 201
     IF(COLBUF.EQ.'RET')GO TO 129
     IF(COLBUF.EQ.'STE')GO TO 202
     IF(COLBUF.EQ.'MON')GO TO 202
     IF(COLBUF.EQ.'SIZ')GO TO 203
     IF(COLBUF.EQ.'PRI')GO TO 206
     IF(COLBUF.EQ.'PLO')GO TO 234
     IF(COLBUF.EQ.'RES')GO TO 68
     IF(COLBUF.EQ.'SEG')GO TO 205
****
**** Perhaps unformatted atom card
**** Check syntax of first three cols for atom name . This must be a
**** one of two letter element symbol followed by a number, space or (.
****
     M=0
   8 K=0
     IF(J1.LT.'A'.OR.J1.GT.'Z')GO TO 10
     IF(J2.GE.'A'.AND.J2.LE.'Z')GO TO 9
     J3=J2
     J2=' '
   9 IF(J3.GE.'0'.AND.J3.LE.'9')GO TO 11
     IF(J3.EQ.' ')GO TO 11
     IF(J3.EQ.'(')GO TO 11
     IF(J3.EQ.QUOTE)GO TO 11
  10 IF(M.EQ.1)GO TO 12
     K=1
  11 IF(M.EQ.1)GO TO 40
     IF(KN.EQ.3)GO TO 39
     IF(KN.GE.4)GO TO 16
****
**** Unrecognised - ignore this card
****
  12 WRITE(6,13)
     GO TO 4
****
  14 WRITE(6,15)COL
     GO TO 4
****
**** This is considered to be a card from SHEL-X program
**** Skip the first numeric field which is the formfactor number.
****
  16 FN(1)=FN(2)
     FN(2)=FN(3)
     FN(3)=FN(4)
****
**** Interpret free variables and fixed coords
****
     IF(MA.NE.0)GO TO 39
     DO 19 K=1,3
        YY=FN(K)
        IF(YY.GT.-5.)GO TO 17
        YY=ABS(YY)
        Y=AINT((YY+5.)*0.1)
        I=INT(Y)
        IF(I.GT.NFVAR)GO TO 236
        YY=Y*10.-YY
        FN(K)=YY*(RP(I)-1.)
        GO TO 19
****
  17    IF(YY.LT.5.)GO TO 19
        IF(YY.GT.15.)GO TO 18
        FN(K)=YY-10.
        GO TO 19
****
  18    Y=AINT((YY+5.)*0.1)
        I=INT(Y)
        IF(I.GT.NFVAR)GO TO 236
        YY=YY-Y*10.
        FN(K)=YY*RP(I)
  19 CONTINUE
     GO TO 39
****
**** Begin card
****
  22 CALL FREDA(6,IMAX)
     M=1
     N=1
     IF(KL.EQ.0)GO TO 23
     IFOUT=0
     IF(FL(1,1).EQ.'S'.AND.FL(2,1).EQ.'P'.AND.FL(3,1).EQ.'E')
    *   CALL ZSPEC(YLIM,IFOUT)
     IF(IFOUT.NE.0)GO TO 236
  23 DO 24 I=1,74
        ID(I)=' '
  24 CONTINUE
     ICOUNT=ICOUNT+1
     NAT=8
     NC=12
     NC1=12
     NMOL=0
     NMOL1=0
     MA=0
     NFVAR=0
     IERR=0
     ICENT=0
     NSYM=1
     DO 26 I=1,3
        DO 25 J=1,4
           RS(1,I,J)=0.
  25    CONTINUE
        RS(1,I,I)=1.
  26 CONTINUE
     GO TO 68
****
**** Cell constants
****
  27 CALL FREDA(5,IMAX)
     K=0
     IF(KN.LT.6)GO TO 236
     IF(KN.EQ.7)K=1
     ACELL=FN(K+1)
     BCELL=FN(K+2)
     CCELL=FN(K+3)
     ALF=FN(K+4)
     BET=FN(K+5)
     GAM=FN(K+6)
     IF(ABS(ALF).LT.1.0.OR.ABS(BET).LT.1.0.OR.ABS(GAM).LT.1.0)GO TO 300
     GO TO 310
****
 300 ALF=ARCOS(ALF)*RAD
     BET=ARCOS(BET)*RAD
     GAM=ARCOS(GAM)*RAD
****
**** Orthogonalistion matrix or1-6
****
 310 SA=SIN(ALF/RAD)
     SB=SIN(BET/RAD)
     SG=SIN(GAM/RAD)
     CA=COS(ALF/RAD)
     CB=COS(BET/RAD)
     CG=COS(GAM/RAD)
     CGSTAR=(CA*CB-CG)/(SA*SB)
     SGSTAR=SQRT(1.0-CGSTAR**2)
     OR1=ACELL*SB*SGSTAR
     OR2=-ACELL*SB*CGSTAR
     OR3=BCELL*SA
     OR4=ACELL*CB
     OR5=BCELL*CA
     OR6=CCELL
****
**** Set up limits for testing if atom in range for distance calculatio
****
     VOL=ACELL*BCELL*CCELL*SQRT(1.0-CA*CA-CB*CB-CG*CG+2.0*CA*CB*CG)
     D100=VOL/(BCELL*CCELL*SA)
     D010=VOL/(ACELL*CCELL*SB)
     D001=VOL/(ACELL*BCELL*SG)
     GO TO 4
****
**** Symmetry card
****
  28 CALL FREDA(1,IMAX)
     IF(KL.EQ.2.AND.FL(1,2).EQ.'C')GO TO 33
     IF(KL.GT.1)GO TO 32
     IF(KN.NE.12)GO TO 32
****
**** This is a numerically coded symmetry operator.
****
     K=0
     IF(NSYM.GE.24)GO TO 30
     NSYM=NSYM+1
     DO 1129 I=1,3
        DO 29 J=1,4
           K=K+1
           RS(NSYM,I,J)=FN(K)
  29    CONTINUE
1129 CONTINUE
     GO TO 4
****
  30 WRITE(6,31)
     GO TO 4
****
**** This is an alphanumeric symmetry card, like internat. tabs.
****
  32 CALL SYMFRE(COL,RS,NSYM,IERR)
     GO TO 4
****
  33 ICENT=1
     GO TO 4
****
**** Angstrom card
****
  34 MA=1
     GO TO 4
****
**** Fractional card
****
  35 MA=0
     GO TO 4
****
**** Fvar list
****
  36 CALL FREDA(5,IMAX)
     IF(KN.EQ.0)GO TO 236
     DO 37 I=1,KN
        RP(NFVAR+I)=FN(I)
  37 CONTINUE
     NFVAR=NFVAR+KN
     GO TO 4
****
**** Atom as from data file
****
  38 CALL FREDA(7,ITEL)
     IF(KN.NE.3)GO TO 236
     M=1
     J1=FL(1,1)
     J2=FL(2,1)
     J3=FL(3,1)
     WRITE(COLBUF,5)J1,J2,J3
     GO TO 8
****
  39 IF(KL.LE.2)GO TO 390
     IF(FL(1,KL-1).EQ.'T')GO TO 45
 390 IF(K.EQ.1)GO TO 12
  40 IF(NAT.GE.NSZ1)GO TO 46
     NAT=NAT+1
     NATO=NAT
     NATOS=NAT
     X(1,NAT)=FN(1)
     X(2,NAT)=FN(2)
     X(3,NAT)=FN(3)
     IF(MA.EQ.1)GO TO 41
     IF(KL.EQ.1)GO TO 401
     IF(M.EQ.0.AND.FL(1,2).NE.'A')GO TO 42
     GO TO 402
****
 401 IF(M.EQ.0)GO TO 42
 402 IF(M.EQ.1.AND.COL(45).NE.'1')GO TO 42
  41 X(1,NAT)=X(1,NAT)/ACELL
     X(2,NAT)=X(2,NAT)/BCELL
     X(3,NAT)=X(3,NAT)/CCELL
  42 DO 43 K=1,6
        NAME(K,NAT)=FL(K,1)
  43 CONTINUE
****
**** Get a characteristic number to identify atom type later on.
****
     I=NAT
     DO 44 J=1,27
        IF(J1.EQ.LET(J))IN1=J
        IF(J2.EQ.LET(J))IN2=J
  44 CONTINUE
     ITYPE(I)=-(IN1*1000+IN2)
****
**** Orthonormal coords. calculated
****
     XO(1,I)=OR1*X(1,I)
     XO(2,I)=OR2*X(1,I)+OR3*X(2,I)
     XO(3,I)=OR4*X(1,I)+OR5*X(2,I)+OR6*X(3,I)
     INCL(I)=1
     ILAB(I)=0
     RADI(I)=RADEF
     GO TO 4
****
  45 J1=FL(1,KL)
     J2=FL(2,KL)
     IF(J1.LT.'A'.OR.J1.GT.'Z')GO TO 236
     IF((J2.LT.'A'.OR.J2.GT.'Z').AND.J2.NE.' ')GO TO 236
     GO TO 40
****
  46 WRITE(6,47)
     GO TO 4
****
**** Join card..... sets up connection array ic.
****
  48 CALL FREDA(5,IMAX)
     IF(KL.EQ.0)GO TO 236
     IF(FL(1,1).EQ.'R'.AND.FL(2,1).EQ.'A'.AND.FL(3,1).EQ.'D')GO TO 49
     IF(FL(1,1).EQ.'N'.AND.FL(2,1).EQ.'O'.AND.FL(3,1).EQ.'N')GO TO 57
     IF(FL(1,1).EQ.'I'.AND.FL(5,1).EQ.'A')GO TO 58
     IF(FL(1,2).EQ.'T'.AND.FL(2,2).EQ.'O')GO TO 62
     CALL ATOMID(1,IAT,NAME,NSZ1)
     IF(IAT)236,236,59
****
**** Radii given for distance scan
****
  49 IUNIQ=0
     IPRINT=1
     INTER=0
     N=0
     DO 50 I=1,NAT
        RP(I)=-10.
  50 CONTINUE
     DO 56 K=2,KL
        J1=FL(1,K)
        J2=FL(2,K)
        J3=FL(3,K)
        WRITE(COLBUF,5)J1,J2,J3
        IF(COLBUF.EQ.'UNI')GO TO 53
        IF(COLBUF.EQ.'NOP')GO TO 54
        IF(COLBUF.EQ.'INT')GO TO 55
        IF(COLBUF.EQ.'NON')GO TO 57
****
****    Test for atom type
****
        CALL ATOMID(K,IAT,NAME,NSZ1)
        IF(IAT)51,236,236
****
****    Type of atom list.  this is used to set atom radii for scan.
****
  51    M=IAT
        N=N+1
        DO 52 I=1,NAT
           IF(ITYPE(I).EQ.M)RP(I)=FN(N)
  52    CONTINUE
        GO TO 56
****
  53    IUNIQ=1
        GO TO 56
****
  54    IPRINT=0
        GO TO 56
****
  55    INTER=1
  56 CONTINUE
     CALL DSCAN(999,IUNIQ,INTER,IPRINT,NAME,X,XO,RADI,INCL,ILAB,ITYPE,
    *   IC,XP,YP,ZP,RP,MOL,IDONE,IFIX,INEXT,NSZ1,NSZ2,NSZ3)
     GO TO 4
****
  57 NC=12
     NC1=12
     GO TO 4
****
  58 NC=NC1
     GO TO 4
****
**** Specific atom connections
****
  59 DO 1161 K=2,KL
        IF(FL(1,K).EQ.'*')GO TO 60
        CALL ATOMID(K,JAT,NAME,NSZ1)
        IF(JAT.LE.0)GO TO 236
        IF(IAT.EQ.0)GO TO 61
        IF(NC.GE.NSZ2)GO TO 64
        NC=NC+1
        IC(NC)=1000*IAT+JAT
        GO TO 61
****
  60    JAT=0
  61    IAT=JAT
1161 CONTINUE
     NC1=NC
     GO TO 4
****
**** To list. join atom 1 to each of the following atoms on the card.
****
  62 CALL ATOMID(1,IAT,NAME,NSZ1)
     IF(IAT.LE.0)GO TO 236
     DO 63 K=3,KL
        CALL ATOMID(K,JAT,NAME,NSZ1)
        IF(JAT.LE.0)GO TO 236
        IF(NC.GE.NSZ2)GO TO 64
        NC=NC+1
        IC(NC)=1000*IAT+JAT
  63 CONTINUE
     NC1=NC
     GO TO 4
****
  64 WRITE(6,65)
     GO TO 4
****
**** Title for plot
****
  66 DO 67 I=1,74
     ID(I)=COL(I+6)
  67 CONTINUE
     IF(J1.EQ.'T')GO TO 4
****
**** Clear flags for plotting and set up defaults
****
  68 NMOL=NMOL1
     IERR=0
     ISOL=0
     ISTER=0
     IPERS=0
     IAL=0
     NSPEC=0
     ICELL=0
     SCA=0.
     ITRACE=1
     ITRACH=1
     ITRACV=1
     TRLAB=TLDEF
     TRSTEP=TRDEF
     PLSTEP=PLDEF
     ICOPY=1
     IENC=0
     IPLOTR=1
     ISHADE=0
     ANG1=ANGDF1
     ANG2=ANGDF2
     TAPER=TAPDEF
     RBDEF=RBDEFN
     LBDEF=LBDEFN
     IEND=0
     SHRINK=0.
     TSIZE=TDEF
     DO 70 I=1,3
        DO 69 J=1,3
           R(I,J)=0.
  69    CONTINUE
        R(I,I)=1.
  70 CONTINUE
     SHADEN=SHADEF
     SIZEM=SZDEF
     CHSIZE=CHDEF
     DPLOT=DPDEF
     IF(J1.EQ.'B')GO TO 4
     IF(J1.NE.'R')GO TO 7
     DO 71 I=9,NAT
        RADI(I)=RADEF
        ILAB(I)=0
        INCL(I)=IABS(INCL(I))
        IF(I.GT.NATO)INCL(I)=-INCL(I)
  71 CONTINUE
     GO TO 4
****
**** View definition
****
  72 N1=FL(1,2)
     N2=FL(2,2)
     L=2
     N=0
     IF(N1.EQ.'C'.AND.N2.EQ.'U')GO TO 93
     IF(N1.EQ.'M'.AND.N2.EQ.'A')GO TO 127
****
**** Keywords defining a rotation matrix to be calculated.
****
     DO 1173 I=1,3
        PLINE(I)=0.5
        DO 73 J=1,3
           R(I,J)=0.0
  73    CONTINUE
1173 CONTINUE
     IF(N1.EQ.'X')GO TO 74
     IF(N1.EQ.'Y')GO TO 75
     IF(N1.EQ.'Z')GO TO 76
     IF(N1.EQ.'A'.AND.N2.EQ.'F')GO TO 77
     IF(N1.EQ.'B'.AND.N2.EQ.'F')GO TO 78
     IF(N1.EQ.'C'.AND.N2.EQ.'F')GO TO 79
     IF(N1.EQ.'D')GO TO 82
     IF(N1.EQ.'L')GO TO 80
     IF(N1.EQ.'P')GO TO 86
     IF(N1.EQ.'B')GO TO 87
     GO TO 235
****
  74 R(1,2)=1.
     R(2,3)=1.
     R(3,1)=1.
     GO TO 93
****
  75 R(1,3)=1.
     R(2,1)=1.
     R(3,2)=1.
     GO TO 93
****
  76 R(1,1)=1.
     R(2,2)=1.
     R(3,3)=1.
     GO TO 93
****
  77 ILINE=1
     PLINE(1)=1.0
     GO TO 84
****
  78 ILINE=1
     PLINE(2)=1.0
     GO TO 84
****
  79 ILINE=1
     PLINE(3)=1.0
     GO TO 84
****
  80 ILINE=1
     IF(KL.LT.4)GO TO 236
     CALL ATOMID(3,IAT,NAME,NSZ1)
     CALL ATOMID(4,JAT,NAME,NSZ1)
     IF(IAT.LE.0.OR.JAT.LE.0)GO TO 236
     DO 81 K=1,3
        PLINE(K)=X(K,IAT)-X(K,JAT)
  81 CONTINUE
     L=L+2
     GO TO 84
****
  82 DO 83 K=1,3
        PLINE(K)=FN(K)
  83 CONTINUE
     ILINE=1
     L=2
     N=3
  84 XX=PLINE(1)
     YY=PLINE(2)
     ZZ=PLINE(3)
     V3(1)=OR1*XX
     V3(2)=OR2*XX+OR3*YY
     V3(3)=OR4*XX+OR5*YY+OR6*ZZ
****
**** Calc r matrix for line view
****
     V3MOD=SQRT(V3(1)*V3(1)+V3(2)*V3(2)+V3(3)*V3(3))
     DO 85 K=1,3
        V3(K)=V3(K)/V3MOD
  85 CONTINUE
     R2(1)=0.0
     R2(2)=0.0
     R2(3)=0.0
     IF(ABS(V3(2)).GT.0.9999)R2(1)=1.
     IF(ABS(R2(1)).LE.1.0E-06)R2(2)=1.0
     CALL VPROD(R2,V3,V1)
     CALL VPROD(V3,V1,V2)
     GO TO 92
****
  86 ILINE=2
     GO TO 88
****
  87 ILINE=3
  88 IF(KL.LT.5)GO TO 236
     IJ1=ICHAR(J1)
     IJ2=ICHAR(J2)
     IJ3=ICHAR(J3)
     CALL ATOMID(3,IJ1,NAME,NSZ1)
     CALL ATOMID(4,IJ2,NAME,NSZ1)
     CALL ATOMID(5,IJ3,NAME,NSZ1)
     IF(IJ1.LE.0.OR.IJ2.LE.0.OR.IJ3.LE.0)GO TO 236
     L=L+3
****
**** Calc r matrix for perp and bisect views
****
     DO 89 K=1,3
        V3(K)=0.5*(XO(K,IJ1)+XO(K,IJ3))-XO(K,IJ2)
        R1(K)=XO(K,IJ1)-XO(K,IJ2)
        R2(K)=XO(K,IJ3)-XO(K,IJ2)
  89 CONTINUE
     V3MOD=SQRT(V3(1)**2+V3(2)**2+V3(3)**2)
     R1MOD=SQRT(R1(1)**2+R1(2)**2+R1(3)**2)
     R2MOD=SQRT(R2(1)**2+R2(2)**2+R2(3)**2)
     DO 90 K=1,3
        V3(K)=V3(K)/V3MOD
        R1(K)=R1(K)/R1MOD
        R2(K)=R2(K)/R2MOD
  90 CONTINUE
****
**** Now get v2=v3xr2  and then v1=v2xv3
****
     CALL VPROD(V3,R2,V2)
     CALL VPROD(V2,V3,V1)
     IF(ILINE.EQ.3)GO TO 92
****
**** For perp  just swop axes
****
     DO 91 K=1,3
        TEMP=V3(K)
        V3(K)=V2(K)
        V2(K)=V1(K)
        V1(K)=TEMP
  91 CONTINUE
     GO TO 92
****
**** Set r matrix
****
  92 R(1,1)=V1(1)
     R(1,2)=V1(2)
     R(1,3)=V1(3)
     R(2,1)=V2(1)
     R(2,2)=V2(2)
     R(2,3)=V2(3)
     R(3,1)=V3(1)
     R(3,2)=V3(2)
     R(3,3)=V3(3)
****
**** Kewords giving rotations to be applied to the current r matrix
****
  93 L=L+1
     N=N+1
     IF(L.GT.KL)GO TO 115
     IF(N.GT.KN)GO TO 236
     DO 94 I=1,3
        DO 94 J=1,3
           A(I,J)=0.0
  94    CONTINUE
     ANG=FN(N)/RAD
     CA=COS(ANG)
     SA=SIN(ANG)
     N1=FL(1,L)
     IF(N1.EQ.'B')GO TO 100
     IF(N1.EQ.'L')GO TO 108
     IF(N1.EQ.'O')GO TO 110
     IF(N1.EQ.'P')GO TO 112
     IF(N1.EQ.'X')GO TO 96
     IF(N1.EQ.'Y')GO TO 95
     IF(N1.NE.'Z')GO TO 236
****
**** Z rotn
****
     A(1,1)=CA
     A(1,2)=SA
     A(2,1)=-SA
     A(2,2)=CA
     A(3,3)=1.0
     GO TO 97
****
**** Y rotn
****
  95 A(1,1)=CA
     A(1,3)=-SA
     A(2,2)=1.0
     A(3,1)=SA
     A(3,3)=CA
     GO TO 97
****
**** X rotn
****
  96 A(1,1)=1.0
     A(2,2)=CA
     A(2,3)=SA
     A(3,2)=-SA
     A(3,3)=CA
  97 DO 1198 I=1,3
        DO 98 J=1,3
           B(I,J)=A(I,1)*R(1,J)+A(I,2)*R(2,J)+A(I,3)*R(3,J)
  98    CONTINUE
1198 CONTINUE
     DO 1199 I=1,3
        DO 99 J=1,3
           R(I,J)=B(I,J)
  99    CONTINUE
1199 CONTINUE
     GO TO 93
****
**** Bond rotn
****
 100 IF((L+2).GT.KL)GO TO 236
     L=L+1
     CALL ATOMID(L,I,NAME,NSZ1)
     IF(I.LE.0)GO TO 236
     L=L+1
     CALL ATOMID(L,J,NAME,NSZ1)
     IF(J.LE.0)GO TO 236
     DO 101 K=1,3
        V1(K)=X(K,I)-X(K,J)
 101 CONTINUE
 102 V3(1)=OR1*V1(1)
     V3(2)=OR2*V1(1)+OR3*V1(2)
     V3(3)=OR4*V1(1)+OR5*V1(2)+OR6*V1(3)
 103 V3MOD=SQRT(V3(1)*V3(1)+V3(2)*V3(2)+V3(3)*V3(3))
     DO 104 K=1,3
        V3(K)=V3(K)/V3MOD
 104 CONTINUE
     DO 105 I=1,3
        V2(I)=R(I,1)*V3(1)+R(I,2)*V3(2)+R(I,3)*V3(3)
 105 CONTINUE
 106 CB=1.-CA
     DO 1107 I=1,3
        DO 107 J=1,3
           A(I,J)=CB*V2(I)*V2(J)
 107    CONTINUE
1107 CONTINUE
     A(1,1)=A(1,1)+CA
     A(1,2)=A(1,2)+V2(3)*SA
     A(1,3)=A(1,3)-V2(2)*SA
     A(2,1)=A(2,1)-V2(3)*SA
     A(2,2)=A(2,2)+CA
     A(2,3)=A(2,3)+V2(1)*SA
     A(3,1)=A(3,1)+V2(2)*SA
     A(3,2)=A(3,2)-V2(1)*SA
     A(3,3)=A(3,3)+CA
     GO TO 97
****
**** Line rotn
****
 108 IF((N+3).GT.KN)GO TO 236
     DO 109 I=1,3
        V1(I)=FN(N+I)
 109 CONTINUE
     N=N+3
     GO TO 102
****
**** Ortholine rotn
****
 110 IF((N+3).GT.KN)GO TO 236
     DO 111 I=1,3
        V3(I)=FN(N+I)
 111 CONTINUE
     N=N+3
     GO TO 103
****
**** Prot
****
 112 IF((N+3).GT.KN)GO TO 236
     DO 113 I=1,3
        V2(I)=FN(N+I)
 113 CONTINUE
     N=N+3
     V2MOD=SQRT(V2(1)*V2(1)+V2(2)*V2(2)+V2(3)*V2(3))
     DO 114 I=1,3
        V2(I)=V2(I)/V2MOD
 114 CONTINUE
     GO TO 106
****
**** Test determinant=+1.0000
****
 115 DET=R(1,1)*(R(2,2)*R(3,3)-R(2,3)*R(3,2))
    *-R(1,2)*(R(2,1)*R(3,3)-R(2,3)*R(3,1))
    *+R(1,3)*(R(2,1)*R(3,2)-R(2,2)*R(3,1))
     IF(ABS(DET-1.000).LT.0.001)GO TO 4
     WRITE(6,116)DET
     IF(DET.LE.-0.999)WRITE(6,117)
     GO TO 4
****
**** Align instruction
****
 118 IF(KL.NE.5)GO TO 236
     IF(FL(1,4).NE.'W')GO TO 236
     ANG=0.
     IF(FL(1,5).EQ.'X')GO TO 119
     ANG=-90.
     IF(FL(1,5).NE.'Y')GO TO 236
 119 CALL ATOMID(2,IAT,NAME,NSZ1)
     CALL ATOMID(3,JAT,NAME,NSZ1)
     IF(IAT.LE.0.OR.JAT.LE.0)GO TO 236
     DO 121 I=1,2
        R1(I)=0.
        R2(I)=0.
        DO 120 J=1,3
           R1(I)=R(I,J)*XO(J,IAT)+R1(I)
           R2(I)=R(I,J)*XO(J,JAT)+R2(I)
 120    CONTINUE
        V1(I)=R2(I)-R1(I)
 121 CONTINUE
     IF(ABS(V1(1))+ABS(V1(2)).GT.1.)GO TO 123
     WRITE(6,122)
     GO TO 4
****
 123 ANG=ATAN2(V1(2),V1(1))*RAD+ANG
     N=0
     L=0
     KL=1
     KN=1
     FN(1)=ANG
     FL(1,1)='Z'
     GO TO 93
****
**** Solid mode
****
 124 ISOL=1
     ISHADE=0
     IF(KL.EQ.1)GO TO 4
     DO 125 I=2,KL
        IF(FL(2,I).EQ.'H')ISHADE=1
        IF(FL(1,I).EQ.'C')ISHADE=2
        IF(FL(2,I).EQ.'K')ISHADE=3
 125 CONTINUE
     IF(KN.EQ.0)GO TO 4
     ANG1=FN(1)
     ANG2=FN(2)
     IF(KN.EQ.2)GO TO 4
     SHADEN=FN(3)
     GO TO 4
****
**** Stick mode
****
 126 ISOL=0
     GO TO 4
****
**** View matrix card
****
 127 IF(KN.LT.9)GO TO 236
     K=0
     DO 1128 I=1,3
        DO 128 J=1,3
           K=K+1
           R(I,J)=FN(K)
 128    CONTINUE
1128 CONTINUE
     N=9
     GO TO 93
****
**** Retrace instruction
****
 129 IF(KN.EQ.0)GO TO 236
     IF(KL.NE.2)GO TO 236
     IF(FL(1,2).EQ.'L')GO TO 130
     IF(FL(1,2).NE.'A')GO TO 236
     ITRACE=INT(FN(1))
     IF(KN.EQ.2)TRSTEP=FN(2)
     GO TO 4
****
 130 ITRACH=INT(FN(1))
     ITRACV=ITRACH
     IF(KN.GE.2)ITRACV=INT(FN(2))
     IF(KN.EQ.3)TRLAB=FN(3)
     GO TO 4
****
**** Label instructions
****
 131 IAL=1
 132 IF(KL.LT.2)GO TO 144
     IF(FL(1,2).EQ.'A'.AND.FL(2,2).EQ.'L'.AND.FL(3,2).EQ.'L')GO TO 144
     IF(FL(1,2).EQ.'N'.AND.FL(2,2).EQ.'O'.AND.FL(3,2).EQ.'N')GO TO 143
     DO 142 K=2,KL
        IF(FL(2,K).NE.'R'.OR.FL(3,K).NE.'I')GO TO 134
        DO 133 I=9,NATO
           ILAB(I)=IAL
 133    CONTINUE
        GO TO 142
****
 134    IF(FL(1,K).NE.'*')GO TO 136
        I=NATO+1
        IF(I.GT.NATOS)GO TO 142
        DO 135 J=I,NATOS
           ILAB(J)=IAL
 135    CONTINUE
        GO TO 142
****
 136    IF(FL(1,K).NE.'&')GO TO 138
        I=NATOS+1
        IF(I.GT.NAT)GO TO 142
        DO 137 J=I,NAT
           ILAB(J)=IAL
 137    CONTINUE
        GO TO 142
****
 138    CALL ATOMID(K,IAT,NAME,NSZ1)
        IF(IAT)139,142,141
 139    DO 140 I=9,NAT
           IF(ITYPE(I).EQ.IAT)ILAB(I)=IAL
 140    CONTINUE
        GO TO 142
****
 141    ILAB(IAT)=IAL
 142 CONTINUE
     GO TO 4
****
 143 IAL=1-IAL
 144 DO 145 I=9,NAT
        ILAB(I)=IAL
 145 CONTINUE
     GO TO 4
****
 146 IAL=0
     GO TO 132
****
**** Put labels where requested
****
 147 L=2
 148 IF(L.GT.KL)GO TO 4
     CALL ATOMID(L,IAT,NAME,NSZ1)
     L=L+1
     IF(L.GT.KL)GO TO 236
     I=0
     IF(FL(1,L).EQ.'A'.AND.FL(2,L).EQ.'U')  I=1
     IF(FL(1,L).EQ.'N'.AND.FL(2,L).EQ.' ')I=4
     IF(FL(1,L).EQ.'N'.AND.FL(2,L).EQ.'E')  I=3
     IF(FL(1,L).EQ.'E'.AND.FL(2,L).EQ.' ')I=2
     IF(FL(1,L).EQ.'S'.AND.FL(2,L).EQ.'E')  I=9
     IF(FL(1,L).EQ.'S'.AND.FL(2,L).EQ.' ')I=8
     IF(FL(1,L).EQ.'S'.AND.FL(2,L).EQ.'W')I=7
     IF(FL(1,L).EQ.'W'.AND.FL(2,L).EQ.' ')I=6
     IF(FL(1,L).EQ.'N'.AND.FL(2,L).EQ.'W')I=5
     IF(I.EQ.0)GO TO 236
     IF(IAT)149,236,151
 149 DO 150 J=9,NAT
        IF(ITYPE(J).EQ.IAT)ILAB(J)=MIN0(ILAB(J),1)*I
 150 CONTINUE
     L=L+1
     GO TO 148
****
 151 ILAB(IAT)=MIN0(ILAB(IAT),1)*I
     L=L+1
     GO TO 148
****
**** Radii card. This sets radii for atoms and bonds. There are several
**** options for bond specification, atom type, intermolecular, to
**** list, specific atom pair.  We also enter number of lines for bond.
**** tapering of bonds may be controlled also, and bond-end plotting.
****
 152 N=0
     IF(FL(1,2).EQ.'B')GO TO 160
     IF(FL(1,2).EQ.'A')GO TO 153
     GO TO 235
****
**** Atom radius specification here
****
 153 IF(KL.EQ.3.AND.FL(3,3).EQ.'L')GO TO 158
     DO 157 K=3,KL
        CALL ATOMID(K,IAT,NAME,NSZ1)
        IF(IAT)154,157,156
 154    M=IAT
        N=N+1
        DO 155 I=9,NAT
           IF(ITYPE(I).EQ.M)RADI(I)=FN(N)
 155    CONTINUE
        GO TO 157
****
 156    N=N+1
        RADI(IAT)=FN(N)
 157 CONTINUE
     GO TO 4
****
 158 DO 159 I=9,NAT
        RADI(I)=FN(1)
 159 CONTINUE
     GO TO 4
****
**** Bond specification here.
****
 160 J1=FL(1,3)
     J2=FL(2,3)
     J3=FL(3,3)
     IF(J1.EQ.'T'.AND.J2.EQ.'O')GO TO 161
     IF(J1.EQ.'A'.AND.J3.EQ.'L')GO TO 171
     IF(J1.EQ.'I'.AND.J3.EQ.'T')GO TO 162
     IF(J1.EQ.'T'.AND.J3.EQ.'P')GO TO 169
     IF(J1.EQ.'E'.AND.J2.EQ.'N')GO TO 170
     IF(J1.EQ.'N'.AND.J2.EQ.'O')GO TO 172
     CALL ATOMID(3,IAT,NAME,NSZ1)
     CALL ATOMID(4,JAT,NAME,NSZ1)
     IF(IAT.LE.0.OR.JAT.LE.0)GO TO 236
****
**** Specific bond named here
****
     IN1=MIN0(IAT,JAT)
     IN2=MAX0(IAT,JAT)
     GO TO 163
****
**** Keyword to  followed by atom or atom type
****
 161 CALL ATOMID(4,M,NAME,NSZ1)
     IF(M.EQ.0)GO TO 236
     IN1=0
     IN2=M
     GO TO 163
****
**** Keyword inter for all intermolecular bonds
****
 162 IN1=-1
     IN2=0
****
**** Store bond radius and number of lines.
****
 163 RB=RBDEF
     L=LBDEF
     IF(KN.GT.0)RB=FN(1)
     IF(KN.EQ.2)L=INT(FN(2))
     RB=RB*1000.
     IN3=1000*L+INT(RB+0.5)
     IF(NSPEC.EQ.0)GO TO 165
     DO 164 I=1,NSPEC
        IF(IN1.EQ.IBS(I,1).AND.IN2.EQ.IBS(I,2))GO TO 166
 164 CONTINUE
 165 IF(NSPEC.GE.30)GO TO 167
     NSPEC=NSPEC+1
     I=NSPEC
     IBS(I,1)=IN1
     IBS(I,2)=IN2
 166 IBS(I,3)=IN3
     GO TO 4
****
 167 WRITE(6,168)
     GO TO 4
****
**** Tapering
****
 169 TAPER=FN(1)
     GO TO 4
****
**** Bond-end plotting
****
 170 IEND=1
     IF(KL.EQ.4.AND.FL(1,4).EQ.'N')IEND=0
     GO TO 4
****
**** Change default settings for radius and lines
****
 171 NSPEC=0
 172 RBDEF=FN(1)
     LBDEF=INT(FN(2))
     GO TO 4
****
**** Packing diagram control
****
 173 I=0
     IF(KL.EQ.2)GO TO 174
     IF(FL(1,3).NE.'C')GO TO 236
     CALL ATOMID(4,I,NAME,NSZ1)
     IF(I.LE.0)GO TO 236
****
**** Pack  range     x1,x2,y1,y2,z1,z2
****
 174 CONTINUE
     IUNIQ=0
     INTER=0
     IPRINT=0
     CALL DSCAN(I,IUNIQ,INTER,IPRINT,NAME,X,XO,RADI,INCL,ILAB,ITYPE,
    *   IC,XP,YP,ZP,RP,MOL,IDONE,IFIX,INEXT,NSZ1,NSZ2,NSZ3)
     GO TO 4
****
**** Moles to be plotted
****
 175 IF(KL.GT.1.AND.FL(1,2).EQ.'N')GO TO 177
     IF(KL.GT.1.AND.FL(1,2).EQ.'U')GO TO 178
     IF(KN.LT.4)GO TO 236
     DO 176 K=1,KN,4
        IF(NMOL.GE.NSZ1)GO TO 179
        NMOL=NMOL+1
        MOL(1,NMOL)=INT(FN(K))
        MOL(2,NMOL)=INT(FN(K+1))
        MOL(3,NMOL)=INT(FN(K+2))
        MOL(4,NMOL)=INT(FN(K+3))
 176 CONTINUE
     GO TO 4
****
 177 NMOL=0
     GO TO 4
****
 178 NMOL=NMOL1
     GO TO 4
****
 179 WRITE(6,180)
     GO TO 4
****
**** Include / omit
****
 181 N=-1
     GO TO 183
****
 182 N=1
 183 IF(FL(1,2).EQ.'A'.AND.FL(2,2).EQ.'L'.AND.FL(3,2).EQ.'L')GO TO 199
     IF(FL(1,2).EQ.'N'.AND.FL(2,2).EQ.'O'.AND.FL(3,2).EQ.'N')GO TO 198
     IF(FL(1,2).EQ.'O'.AND.FL(2,2).EQ.'U'.AND.FL(3,2).EQ.'T')GO TO 195
     DO 1194 K=2,KL
        IF(FL(1,K).NE.'*')GO TO 186
        M=NATO+1
        IF(M.GT.NATOS)GO TO 1194
        DO 185 I=M,NATOS
           INCL(I)=N*IABS(INCL(I))
 185    CONTINUE
        GO TO 1194
****
 186    IF(FL(1,K).NE.'&')GO TO 188
        M=NATOS+1
        IF(M.GT.NAT)GO TO 1194
        DO 187 I=M,NAT
           INCL(I)=N*IABS(INCL(I))
 187    CONTINUE
        GO TO 1194
****
 188    IF(FL(2,K).NE.'R'.OR.FL(3,K).NE.'I')GO TO 190
        DO 189 I=9,NATO
           INCL(I)=N*IABS(INCL(I))
 189    CONTINUE
        GO TO 1194
****
 190    CALL ATOMID(K,M,NAME,NSZ1)
        IF(M) 191,1194,193
 191    DO 192 I=9,NAT
           IF(ITYPE(I).EQ.M) INCL(I)=N*IABS(INCL(I))
 192    CONTINUE
        GO TO 1194
****
 193    INCL(M)=N*IABS(INCL(M))
1194 CONTINUE
     GO TO 4
****
 195 IF(KN.EQ.1.AND.ABS(FN(1)).LE.1.0E-06)GO TO 197
     IF(KN.NE.6)GO TO 236
     DO 196 I=1,6
        ENC(I)=FN(I)
 196 CONTINUE
     IENC=1
     GO TO 4
****
 197 IENC=0
     GO TO 4
****
 198 N=-N
 199 DO 200 I=1,NAT
        INCL(I)=N*IABS(INCL(I))
 200 CONTINUE
     GO TO 4
****
**** Unitcell to be plotted
****
 201 ICELL=1
     IF(KL.GT.1.AND.FL(1,2).EQ.'N')ICELL=0
     GO TO 4
****
**** Stereo
****
 202 ISTER=0
     IF(J1.EQ.'S')ISTER=1
     IF(J1.EQ.'M')IPERS=1
     IF(KL.GT.1.AND.FL(1,2).EQ.'C')IPLOTR=4
     IF(KN.EQ.0)GO TO 4
     DPLOT=FN(1)
     GO TO 4
****
**** Size control...size of drawing, scale, characters, box
****
 203 IF(KN.NE.KL)GO TO 236
     SIZEM=FN(1)
     IF(SIZEM.GE.275.0)SIZEM=275.0
     IF(KL.LT.2)GO TO 4
     DO 204 K=2,KL
        IF(FL(1,K).EQ.'S')SCA=FN(K)
        IF(FL(1,K).EQ.'T')TSIZE=FN(K)
        IF(FL(1,K).EQ.'B')SHRINK=FN(K)/100.
        IF(FL(1,K).EQ.'C')CHSIZE=FN(K)
 204 CONTINUE
     GO TO 4
****
**** Plotstep size
****
 205 IF(KN.NE.1)GO TO 236
     PLSTEP=FN(1)
     GO TO 4
****
**** Print options
****
 206 IN1=0
     IN2=0
     IN3=0
     IN4=0
     IF(KL.GT.1)GO TO 207
     IN1=1
     IN2=1
     IN3=1
     IN4=1
     GO TO 209
****
 207 DO 208 I=2,KL
        IF(FL(1,I).EQ.'A')IN1=1
        IF(FL(1,I).EQ.'B')IN2=1
        IF(FL(1,I).EQ.'R')IN3=1
        IF(FL(1,I).EQ.'M')IN4=1
 208 CONTINUE
 209 IF(IN1.EQ.0)GO TO 213
     WRITE(6,210)
     DO 212 I=9,NAT
        IF(INCL(I).EQ.0)GO TO 212
        J1=' '
        IF(INCL(I).GT.0)J1='*'
        J2=' '
        IF(ILAB(I).GT.0)J2='*'
        IJ3=-ITYPE(I)
        IN1=IJ3/1000
        IJ3=MOD(IJ3,1000)
        WRITE(6,211)(NAME(K,I),K=1,6),(X(K,I),K=1,3),RADI(I),J1,J2,
    *      LET(IN1),LET(IJ3)
 212 CONTINUE
 213 IF(IN2.EQ.0)GO TO 217
     WRITE(6,214)
     IF(NC.EQ.12)GO TO 229
     DO 216 K=13,NC
        I=IC(K)/1000
        J=MOD(IC(K),1000)
        WRITE(6,215)(NAME(L,I),L=1,6),(NAME(L,J),L=1,6)
 216 CONTINUE
 217 IF(IN3.EQ.0)GO TO 229
     WRITE(6,218)
     WRITE(6,219)RBDEF,LBDEF
     IF(NSPEC.EQ.0)GO TO 229
     DO 228 K=1,NSPEC
        L=IBS(K,3)
        I=L/1000
        RB=0.001*FLOAT(MOD(L,1000))
        IN1=IBS(K,1)
        IF(IN1)220,222,226
 220    WRITE(6,221)RB,I
        GO TO 228
****
 222    IN2=IBS(K,2)
        IF(IN2.GT.0)GO TO 224
        IN2=-IN2
        IN1=IN2/1000
        IN2=MOD(IN2,1000)
        WRITE(6,223)LET(IN1),LET(IN2),RB,I
        GO TO 228
****
 224    WRITE(6,225)(NAME(J,IN2),J=1,6),RB,I
        GO TO 228
****
 226    WRITE(6,227)(NAME(J,IN1),J=1,6),(NAME(J,IN2),J=1,6),RB,I
 228 CONTINUE
 229 IF(IN4.EQ.0)GO TO 232
     WRITE(6,230)
     IF(NMOL.EQ.0)GO TO 232
     WRITE(6,231)((MOL(J,I),J=1,4),I=1,NMOL)
 232 WRITE(6,233)
     GO TO 4
****
**** Plot .... this card may contain the number of copies of
**** the drawing to be made.
****
 234 IF(KL.GT.1.AND.FL(1,2).EQ.'C')ICOPY=INT(FN(1))
     IPLOT=IPLOT+1
     READ(IN,5,END=247)COL
     IF(COL(1).EQ.'E'.AND.COL(2).EQ.'N'.AND.COL(3).EQ.'D')THEN
        IBEG=-1
     ELSE
        BACKSPACE 10
     ENDIF
     GO TO 238
****
**** General error message
****
 235 CONTINUE
 236 IERR=IERR+1
     WRITE(6,260)COL
     WRITE(6,237)
     GO TO 4
****
 238 IF(IERR.GT.0)WRITE(6,239)
     IF(IERR.EQ.0)RETURN
     IF(IERR-2)240,242,244
 240 WRITE(6,241)
     GO TO 246
****
 242 WRITE(6,243)
     GO TO 246
****
 244 WRITE(6,245)
 246 IERR=0
     STOP 16
****
**** End of job
****
 247 FL(1,1)='='
     GO TO 249
****
 248 IF(IN.EQ.10)GO TO 247
     IN=10
     GO TO 4
****
 249 RETURN
****
   5 FORMAT(80A1)
   6 FORMAT('0---',80A1)
  13 FORMAT('0*** Unrecognized instruction - Ignored ***',//)
  15 FORMAT('0...',80A1)
  31 FORMAT('0*** Symmetry list full: Ignored',//)
  47 FORMAT('0*** Atom list full: Ignored',//)
  65 FORMAT('0*** Connections list full',//)
 116 FORMAT('0*** Warning: Did you know that the determinant of your ',
    *       'view matrix =',F10.5/4X,'It should be +1 to be legal',//)
 117 FORMAT('0*** In fact, your determinant represents an inversion.',/
    *       '    Absolute configuration is changed. ',
    *       ' You have beem warned...',//)
 122 FORMAT('0*** Atoms superimposed in this view: ',
    *       'View matrix not changed')
 168 FORMAT('0*** Special bond list full: Ignored',//)
 180 FORMAT('0*** Molecule list full')
 210 FORMAT('0Atoms',/,'0   Name',7X,'x',9X,'y',9X,'z',6X,
    *       'Radius  Include  Label  Type',//)
 211 FORMAT(4X,6A1,3F10.5,F7.2,5X,A1,7X,A1,5X,2A1)
 214 FORMAT('0Bonds',//)
 215 FORMAT(4X,6A1,'--',6A1)
 218 FORMAT('0Bonds',12X,'Radius  Lines',/,
    *       '+____________________________')
 219 FORMAT('0Normal',11X,F6.3,I7)
 221 FORMAT('0Intermolecular',F9.3,I7)
 223 FORMAT(' To ',2A1,F18.3,I7)
 225 FORMAT(' To ',6A1,F14.3,I7)
 227 FORMAT(1X,6A1,'--',6A1,F9.3,I7)
 230 FORMAT('0Molecules',/)
 231 FORMAT(4(4I4,2X))
 233 FORMAT('0')
 260 FORMAT('0**** ',80A1)
 237 FORMAT('0*** Instruction error...Check for correct spelling of',
    *       ' keywords and sufficient data.',//)
 239 FORMAT('0*** Error(s) found in instructions - No plotting ***',/,
    *       '0*** Check for data cards ignored above ***')
 241 FORMAT('0*** Better luck next time ***')
 243 FORMAT('0*** It''s not your day, is it? ***')
 245 FORMAT('0*** When did you last read the blurb? ***')
****
     END

